## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterToXML_UTF16 Class Reference

FormatterToXML_UTF16 formats SAX-style events into XML. More...

`#include <FormatterToXML_UTF16.hpp>`

Inheritance diagram for FormatterToXML_UTF16

Collaboration diagram for FormatterToXML_UTF16:

List of all members.

## Public Methods

- FormatterToXML_UTF16 ( Writer& writer, const XalanDOMString& version = XalanDOMString(), const XalanDOMString& mediaType = XalanDOMString(), const XalanDOMString& doctypeSystem = XalanDOMString(), const XalanDOMString& doctypePublic = XalanDOMString(), bool xmlDecl = true, const XalanDOMString& standalone = XalanDOMString())
    Constructor. More...
- virtual ~FormatterToXML_UTF16 ()
- virtual void startElement ( const XMLCh* const name, AttributeListType& attrs)
- virtual void endElement (const XMLCh* const name)
- virtual void charactersRaw ( const XMLCh* const chars, const unsigned int length)
- virtual void entityReference (const XMLCh* const name)
    Receive notification of a entityReference. More...
- virtual void comment (const XMLCh* const data)
    Called when a Comment is to be constructed. More...
- virtual const XalanDOMString& getEncoding () const

## Static Public Methods

- void initialize ()
    Perform static initialization. More...
- void terminate ()
    Perform static shut down. More...

## Protected Methods

- virtual void writeXMLHeader ()
- virtual void flushBuffer ()
- virtual void writeDoctypeDecl (const XalanDOMChar* name)
- virtual void writeProcessingInstruction ( const XMLCh* target, const XMLCh* data)
- virtual void writeCharacters ( const XMLCh* chars, unsigned int length)
- virtual void writeCDATA ( const XMLCh* chars, unsigned int length)
- void outputLineSep ()
    Output a line break.
- void writeDefaultEscape (XalanDOMChar ch)
    Escape and write a character.
- void writeDefaultAttributeEscape (XalanDOMChar ch)
    Escape and write a character in an attribute.
- bool writeDefaultEntity (XalanDOMChar ch)
    Handle one of the default entities, return false if it is not a default entity.
- bool writeDefaultAttributeEntity (XalanDOMChar ch)
    Handle one of the default entities, return false if it is not a default entity.
- void writeCommentData (const XalanDOMChar* data)
    Write the data for a comment. More...
- void writeParentTagEnd ()
    Check to see if a parent's ">" has been written, and, if it has not, write it.
- void writeNormalizedChar (XalanDOMChar ch)
    Write a normalized character to the stream. More...
- void writeCDATAChars ( const XalanDOMChar ch[], XalanDOMString::size_type length)
    Write characters for a CDATA section. More...
- void writeAttrString ( const XalanDOMChar* theString, XalanDOMString::size_type theStringLength)
    Write an attribute string. More...

## Detailed Description

FormatterToXML_UTF16 formats SAX-style events into XML.

## Constructor & Destructor Documentation

FormatterToXML_UTF16::FormatterToXML_UTF16 ( | Writer & writer,
| const XalanDOMString & version = XalanDOMString(),
| const XalanDOMString & mediaType = XalanDOMString(),
| const XalanDOMString & doctypeSystem = XalanDOMString(),
| const XalanDOMString & doctypePublic = XalanDOMString(),
| bool xmlDecl = true,
| const XalanDOMString & standalone = XalanDOMString() )

Constructor.

Parameters:

  writer | the writer.
  version | the string to write for the XML version number.
  mediaType | media type (MIME content type) of the data
  doctypeSystem | system identifier to be used in the document type declaration
  doctypePublic | public identifier to be used in the document type declaration
  xmlDecl | true if the XSLT processor should output an XML declaration
  standalone | The string the XSLT processor should output for the standalone document declaration

virtual FormatterToXML_UTF16::~FormatterToXML_UTF16 ( | )`[virtual]`

## Member Function Documentation

virtual void FormatterToXML_UTF16::charactersRaw ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

Reimplemented from FormatterToXMLBase.

virtual void FormatterToXML_UTF16::comment ( | const XMLCh *const data )`[virtual]`

Called when a Comment is to be constructed.

Parameters:

  data | pointer to comment data

Exceptions:

  SAXException |

Reimplemented from FormatterToXMLBase.

virtual void FormatterToXML_UTF16::endElement ( | const XMLCh *const name )`[virtual]`

Reimplemented from FormatterToXMLBase.

virtual void FormatterToXML_UTF16::entityReference ( | const XMLCh *const name )`[virtual]`

Receive notification of a entityReference.

Parameters:

  data | pointer to characters from the XML document

Exceptions:

  SAXException |

Reimplemented from FormatterToXMLBase.

virtual void FormatterToXML_UTF16::flushBuffer ( | )`[protected, virtual]`

Reimplemented from FormatterToXMLBase.

virtual const XalanDOMString& FormatterToXML_UTF16::getEncoding ( | ) const`[virtual]`

Reimplemented from FormatterToXMLBase.

void FormatterToXML_UTF16::initialize ( | )`[static]`

Perform static initialization.

See class XMLSupportInit.

void FormatterToXML_UTF16::outputLineSep ( | )`[protected]`

Output a line break.

virtual void FormatterToXML_UTF16::startElement ( | const XMLCh *const name,
| AttributeListType & attrs )`[virtual]`

Reimplemented from FormatterToXMLBase.

void FormatterToXML_UTF16::terminate ( | )`[static]`

Perform static shut down.

See class XMLSupportInit.

void FormatterToXML_UTF16::writeAttrString ( | const XalanDOMChar * theString,
| XalanDOMString::size_type theStringLength )`[protected]`

Write an attribute string.

Parameters:

  theString | The string to write.
  theStringLength | The length of the string.

virtual void FormatterToXML_UTF16::writeCDATA ( | const XMLCh * chars,
| unsigned int length )`[protected, virtual]`

Reimplemented from FormatterToXMLBase.

void FormatterToXML_UTF16::writeCDATAChars ( | const XalanDOMChar ch[],
| XalanDOMString::size_type length )`[protected]`

Write characters for a CDATA section.

Parameters:

  ch | the string to write.
  length | the length of the string.

virtual void FormatterToXML_UTF16::writeCharacters ( | const XMLCh * chars,
| unsigned int length )`[protected, virtual]`

Reimplemented from FormatterToXMLBase.

void FormatterToXML_UTF16::writeCommentData ( | const XalanDOMChar * data )`[protected]`

Write the data for a comment.

Parameters:

  data | The comment's data.

bool FormatterToXML_UTF16::writeDefaultAttributeEntity ( | XalanDOMChar ch )`[protected]`

Handle one of the default entities, return false if it is not a default entity.

void FormatterToXML_UTF16::writeDefaultAttributeEscape ( | XalanDOMChar ch )`[protected]`

Escape and write a character in an attribute.

bool FormatterToXML_UTF16::writeDefaultEntity ( | XalanDOMChar ch )`[protected]`

Handle one of the default entities, return false if it is not a default entity.

void FormatterToXML_UTF16::writeDefaultEscape ( | XalanDOMChar ch )`[protected]`

Escape and write a character.

virtual void FormatterToXML_UTF16::writeDoctypeDecl ( | const XalanDOMChar * name )`[protected, virtual]`

Reimplemented from FormatterToXMLBase.

void FormatterToXML_UTF16::writeNormalizedChar ( | XalanDOMChar ch )`[protected]`

Write a normalized character to the stream.

Parameters:

  ch | the character to write

void FormatterToXML_UTF16::writeParentTagEnd ( | )`[protected]`

Check to see if a parent's ">" has been written, and, if it has not, write it.

virtual void FormatterToXML_UTF16::writeProcessingInstruction ( | const XMLCh * target,
| const XMLCh * data )`[protected, virtual]`

Reimplemented from FormatterToXMLBase.

virtual void FormatterToXML_UTF16::writeXMLHeader ( | )`[protected, virtual]`

Reimplemented from FormatterToXMLBase.

The documentation for this class was generated from the following file:

- FormatterToXML_UTF16.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.